Loading...
Searching...
No Matches
Opm::PyMain< TypeTag > Class Template Reference
Inheritance diagram for Opm::PyMain< TypeTag >:

## Public Types

using | FlowMainType = FlowMain<TypeTag>

## Public Member Functions

void | setArguments (const std::vector< std::string > &args)
std::unique_ptr< FlowMainType > | initFlowBlackoil (int &exitCode)
| Main (int argc, char **argv, bool ownMPI=true)
| Main (const std::string &filename, bool mpi_init=true, bool mpi_finalize=true)
| Main (const std::string &filename, std::shared_ptr< EclipseState > eclipseState, std::shared_ptr< Schedule > schedule, std::shared_ptr< SummaryConfig > summaryConfig, bool mpi_init=true, bool mpi_finalize=true)
Public Member Functions inherited from Opm::Main
| Main (int argc, char **argv, bool ownMPI=true)
| Main (const std::string &filename, bool mpi_init=true, bool mpi_finalize=true)
| Main (const std::string &filename, std::shared_ptr< EclipseState > eclipseState, std::shared_ptr< Schedule > schedule, std::shared_ptr< SummaryConfig > summaryConfig, bool mpi_init=true, bool mpi_finalize=true)
void | setArgvArgc_ (const std::string &filename)
void | maybeSaveReservoirCouplingSlaveLogFilename_ ()
void | maybeRedirectReservoirCouplingSlaveOutput_ ()
void | initMPI ()
int | runDynamic ()
| Run simulation.
template<class TypeTag>
int | runStatic ()
| Run simulation.
int | justInitialize ()
| Used for test_outputdir.

## Additional Inherited Members

Protected Member Functions inherited from Opm::Main
template<class TypeTagEarlyBird>
bool | initialize_ (int &exitCode, bool keepKeywords=false)
| Initialize.
void | setupVanguard ()
Protected Attributes inherited from Opm::Main
int | argc_ {0}
char ** | argv_ {nullptr}
bool | outputCout_ {false}
bool | outputFiles_ {false}

The documentation for this class was generated from the following file:

- opm/simulators/flow/python/PyMain.hpp